from django.core.management.base import BaseCommand
from django.core.management import call_command

from fargo.fargo.utils import cleanup


class Command(BaseCommand):
    help = 'Clean expired models'

    def add_arguments(self, parser):
        # set verbosity=0 by default, because solr-thumbnail is too talkative
        # with verbosity=1, and cleanup-fargo is targeted for cron.
        parser.set_defaults(verbosity=0)

    def handle(self, *args, **options):
        cleanup()
        verbosity = int(options.get('verbosity'))
        call_command('thumbnail', 'cleanup', verbosity=verbosity)
