from django.utils.translation import ugettext_lazy as _

import django_tables2 as tables

from . import models


class DocumentTable(tables.Table):
    '''Display the list of documents of the user'''
    size = tables.TemplateColumn(template_code='{{ record.document.content.size|filesizeformat }}',
                                 orderable=False,
                                 verbose_name=_('Size'))
    created = tables.DateTimeColumn(verbose_name=_('Creation Date'))

    class Meta:
        model = models.Document
        fields = ('size', 'created')
        empty_text = _('Your document box is currently empty.')
