from django.core.management.base import BaseCommand

from fargo.oauth2.models import OAuth2Client


class Command(BaseCommand):
    help = 'Create an OAuth2 client'

    def add_arguments(self, parser):
        parser.add_argument('client_name')
        parser.add_argument('redirect_uris')
        parser.add_argument('--client-id', required=False, default=None)
        parser.add_argument('--client-secret', required=False, default=None)

    def handle(self, client_name, redirect_uris, client_id, client_secret, **options):
        kwargs = {
            'client_name': client_name,
            'redirect_uris': redirect_uris,
        }
        if client_id:
            kwargs['client_id'] = client_id
        if client_secret:
            kwargs['client_secret'] = client_secret
        client = OAuth2Client.objects.create(**kwargs)
