import os
import pytest

from django.core.files.base import ContentFile

from fargo.fargo.models import Document

pytestmark = pytest.mark.django_db

def login(app, username='admin', password='admin', user=None):
    login_page = app.get('/login/')
    login_form = login_page.forms[0]
    if user:
        login_form['username'] = user.username
        login_form['password'] = user.username
    else:
        login_form['username'] = username
        login_form['password'] = password
    resp = login_form.submit()
    assert resp.status_int == 302
    return app

def test_document_delete(app):
    f = ContentFile('A test file, ez pz.', 'test_file.txt')
    doc = Document.objects.get_by_file(f)
    file_path = doc.content.path
    assert os.path.isfile(file_path)

    doc.delete()
    assert not os.path.isfile(file_path)
